/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;


/**
 * 业务组件表_发布
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-01-09 11:49:35  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "业务组件表_发布")
public class ReBusComponentInfo extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_comName = "comName";
  public static final String KEY_comType = "comType";
  public static final String KEY_memo = "memo";
  public static final String KEY_projectId = "projectId";
  public static final String KEY_scriptContent = "scriptContent";
  public static final String KEY_isDeprecated = "isDeprecated";
  public static final String KEY_complexity = "complexity";
  public static final String KEY_isDeleted = "isDeleted";
  public static final String KEY_comVersion = "comVersion";
  public static final String KEY_treeId = "treeId";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";
  public static final String KEY_tenantId = "tenantId";
  public static final String KEY_principalId = "principalId";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 组件名称<br>
   */
  @ApiModelProperty("组件名称")
  @Size(max = 100, message="组件名称-comName: 数据长度不能 > 100" )
  private String comName;
  /**
   * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
   */
  @ApiModelProperty("组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
  private Integer comType;
  /**
   * 说明<br>
   */
  @ApiModelProperty("说明")
  @Size(max = 500, message="说明-memo: 数据长度不能 > 500" )
  private String memo;
  /**
   * 系统空间<br>
   */
  @ApiModelProperty("系统空间")
  @Size(max = 32, message="系统空间-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 脚本内容<br>
   */
  @ApiModelProperty("脚本内容")
  @Size(max = 100, message="脚本内容-scriptContent: 数据长度不能 > 100" )
  private String scriptContent;
  /**
   * 是否推荐使用0-推荐1-不推荐<br>
   */
  @ApiModelProperty("是否推荐使用0-推荐1-不推荐")
  private Integer isDeprecated;
  /**
   * 组件复杂度<br>
   */
  @ApiModelProperty("组件复杂度")
  private Integer complexity;
  /**
   * 逻辑删除0-可用1-已删除<br>
   */
  @ApiModelProperty("逻辑删除0-可用1-已删除")
  private Integer isDeleted;
  /**
   * 组件版本号<br>
   */
  @ApiModelProperty("组件版本号")
  @Size(max = 10, message="组件版本号-comVersion: 数据长度不能 > 10" )
  private String comVersion;
  /**
   * 目录树id<br>
   */
  @ApiModelProperty("目录树id")
  @Size(max = 32, message="目录树id-treeId: 数据长度不能 > 32" )
  private String treeId;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 修改人<br>
   */
  @ApiModelProperty("修改人")
  @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 修改时间<br>
   */
  @ApiModelProperty("修改时间")
  private Date updatedTime;
  /**
   * 租户id<br>
   */
  @ApiModelProperty("租户id")
  @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
  private String tenantId;

  private String principalId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 组件名称<br>
   */
  public String getComName()
  {
      return comName;
    }

  /**
   * 组件名称<br>
   *
   * @param comName 组件名称
   */
  public void setComName(String comName)
  {
      this.comName = comName;
    }
  /**
   * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
   */
  public Integer getComType()
  {
      return comType;
    }

  /**
   * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
   *
   * @param comType 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios
   */
  public void setComType(Integer comType)
  {
      this.comType = comType;
    }
  /**
   * 说明<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 说明<br>
   *
   * @param memo 说明
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 系统空间<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统空间<br>
   *
   * @param projectId 系统空间
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  /**
   * 脚本内容<br>
   */
  public String getScriptContent()
  {
      return scriptContent;
    }

  /**
   * 脚本内容<br>
   *
   * @param scriptContent 脚本内容
   */
  public void setScriptContent(String scriptContent)
  {
      this.scriptContent = scriptContent;
    }
  /**
   * 是否推荐使用0-推荐1-不推荐<br>
   */
  public Integer getIsDeprecated()
  {
      return isDeprecated;
    }

  /**
   * 是否推荐使用0-推荐1-不推荐<br>
   *
   * @param isDeprecated 是否推荐使用0-推荐1-不推荐
   */
  public void setIsDeprecated(Integer isDeprecated)
  {
      this.isDeprecated = isDeprecated;
    }
  /**
   * 组件复杂度<br>
   */
  public Integer getComplexity()
  {
      return complexity;
    }

  /**
   * 组件复杂度<br>
   *
   * @param complexity 组件复杂度
   */
  public void setComplexity(Integer complexity)
  {
      this.complexity = complexity;
    }
  /**
   * 逻辑删除0-可用1-已删除<br>
   */
  public Integer getIsDeleted()
  {
      return isDeleted;
    }

  /**
   * 逻辑删除0-可用1-已删除<br>
   *
   * @param isDeleted 逻辑删除0-可用1-已删除
   */
  public void setIsDeleted(Integer isDeleted)
  {
      this.isDeleted = isDeleted;
    }
  /**
   * 组件版本号<br>
   */
  public String getComVersion()
  {
      return comVersion;
    }

  /**
   * 组件版本号<br>
   *
   * @param comVersion 组件版本号
   */
  public void setComVersion(String comVersion)
  {
      this.comVersion = comVersion;
    }
  /**
   * 目录树id<br>
   */
  public String getTreeId()
  {
      return treeId;
    }

  /**
   * 目录树id<br>
   *
   * @param treeId 目录树id
   */
  public void setTreeId(String treeId)
  {
      this.treeId = treeId;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 修改人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 修改人<br>
   *
   * @param updatedBy 修改人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 修改时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 修改时间<br>
   *
   * @param updatedTime 修改时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }
  /**
   * 租户id<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户id<br>
   *
   * @param tenantId 租户id
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public String getPrincipalId() {
    return principalId;
  }

  public void setPrincipalId(String principalId) {
    this.principalId = principalId;
  }

  public ReBusComponentInfo()
  {
  }

}
